Change "vote" to "watch", "bookmark", "favorites" or "monitor" on Bugzilla interface
Closed, DeclinedPublic

Description

There was some discussion about this on wikitech on January,
http://lists.wikimedia.org/pipermail/wikitech-l/2012-January/057420.html
but since the nomenclature didn't change so far, I'm opening this request to make changes such as the following in the bugzilla interface:

  1. Vote --> Watch|BookMark
  2. Show Votes --> Show bugs I watch|Show my Bookmarks
  3. 1 vote used out of 1000 allowed. --> Watching 1 bug of 1000 allowed.|1 bookmark used out of 1000 allowed.
  4. ...

Version: unspecified
Severity: normal
URL: http://lists.wikimedia.org/pipermail/wikitech-l/2012-January/057349.html

bzimport added a project: Wikimedia-Bugzilla.Via ConduitNov 22 2014, 12:10 AM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz34490.
He7d3r created this task.Via LegacyFeb 18 2012, 12:14 PM
Peachey88 added a comment.Via ConduitFeb 18 2012, 12:20 PM

Extension needs to be forked out
Appropriately references changed
New ext activated
Data migrated from the vote db -> new db table (or however bz stores this)
Old vote extension disabled

demon added a comment.Via ConduitFeb 18 2012, 2:03 PM

I don't think it needs to be forked...why not just change the couple of places it says "Vote?"

Peachey88 added a comment.Via ConduitFeb 18 2012, 9:42 PM

(In reply to comment #2)

I don't think it needs to be forked...why not just change the couple of places
it says "Vote?"

Well It would make more work on the next upgrade then, Since we would likely forget about it, then have to do the whole thing again.

And if someone did it and did some more improvements on it (even if they just left it without forking) it could possibly be pushed upstream (if they have a extension repository).

demon added a comment.Via ConduitFeb 18 2012, 10:06 PM

(In reply to comment #3)

And if someone did it and did some more improvements on it (even if they just
left it without forking) it could possibly be pushed upstream (if they have a
extension repository).

I find that scenario very unlikely.

Kipod added a comment.Via ConduitMar 9 2012, 5:04 PM

after reading http://lists.wikimedia.org/pipermail/wikitech-l/2012-January/057420.html
this sounds superfluous.

the "cc list" already exists and can be used "to gauge interest".

also, it makes no sense to limit the # of bugs someone can "bookmark".

in short, it it's not really voting (in this community), there is no need for this feature in this community. i am not that familiar with bugzilla, but i am absolutely certain that this is a feature that can just be disabled - no need to fork anything, change no wording or do any other local changes - just change the bugzilla config not to use the voting system, and "gauge interest" via the # of entries in the cc list.

peace.

demon added a comment.Via ConduitMar 9 2012, 5:35 PM

(In reply to comment #5)

after reading
http://lists.wikimedia.org/pipermail/wikitech-l/2012-January/057420.html
this sounds superfluous.

the "cc list" already exists and can be used "to gauge interest".

also, it makes no sense to limit the # of bugs someone can "bookmark".

in short, it it's not really voting (in this community), there is no need for
this feature in this community. i am not that familiar with bugzilla, but i am
absolutely certain that this is a feature that can just be disabled - no need
to fork anything, change no wording or do any other local changes - just change
the bugzilla config not to use the voting system, and "gauge interest" via the

  1. of entries in the cc list.

    peace.

I thought the same thing, but people disagreed. People like using the votes for watching things without being on the CC list.

The number of votes/bookmarks/free candy that someone can use can be raised if need be, so that's a non-issue.

demon added a comment.Via ConduitMar 22 2012, 8:53 AM
  • Bug 35400 has been marked as a duplicate of this bug. ***
Krinkle added a comment.Via ConduitMar 22 2012, 11:19 AM
  • CC also has a "# users" statistic clearly in the heading So for a public counter, the vote feature is redundant
  • CC by design emails people on updates

(In reply to comment #6)

I thought the same thing, but people disagreed. People like using the votes for
watching things without being on the CC list.

WP:WEASEL; Says who? I'm not sure why someone would want to bookmark a bug but not want e-mailnotifications. If someone doesn't want e-mails at all, they could disable e-mailnotifications entirely for CC (sounds strange but in BugZilla preferences you can disable notifications in a grid and one of the options is to disable them for bugs you are CCed on).

He7d3r added a comment.Via ConduitMar 22 2012, 11:34 AM

(In reply to comment #8)

WP:WEASEL; Says who? I'm not sure why someone would want to bookmark a bug but
not want e-mailnotifications.

Why would I want to notify everybody in the CC list every time I bookmark a new bug? (aka Facebook "Like" buttons)

I want to receive updates when a bug status changes, or when someone comment on a bug I've bookmarked, but I'm not necessarily interested in receiving an email when someone else bookmarks the same bugs.

demon added a comment.Via ConduitMar 22 2012, 11:36 AM

(In reply to comment #9)

Why would I want to notify everybody in the CC list every time I bookmark a new
bug? (aka Facebook "Like" buttons)

Most people have "CC only" changes disabled--and actually that's the default now.

Nemo_bis added a comment.Via ConduitMar 22 2012, 1:14 PM

(In reply to comment #10)

(In reply to comment #9)
> Why would I want to notify everybody in the CC list every time I bookmark a new
> bug? (aka Facebook "Like" buttons)
>

Most people have "CC only" changes disabled--and actually that's the default
now.

Also for the bug reporter? Anyway, I add myself to cc on bugs I actively follow (and want people to know I'm following), while the vote is a passive action of generic support and interest.

demon added a comment.Via ConduitMar 22 2012, 2:18 PM

(In reply to comment #8)

I'm not sure why someone would want to bookmark a bug but

not want e-mailnotifications. If someone doesn't want e-mails at all, they
could disable e-mailnotifications entirely for CC (sounds strange but in
BugZilla preferences you can disable notifications in a grid and one of the
options is to disable them for bugs you are CCed on).

I don't really understand it either. And really, I think some of it comes back to people thinking the votes mean something when they don't.

He7d3r added a comment.Via ConduitApr 6 2012, 3:08 AM

Just in case someone completely removes the feature instead of renaming it, would it be possible to provide people a backup of the list of bugs they voted (i.e.
https://bugzilla.wikimedia.org/page.cgi?id=voting%2Fuser.html), so that they can add themselves to the CC lists later (if they still want to follow the bugs)? It would be bad to remove the access to the list without notice.

Aklapper added a comment.Via ConduitMay 2 2012, 8:52 PM

Watching a bug means to receive its bugmail. It requires adding an email address to the CC list. Voting is something different. Redefining terminology that is used differently across other bugtrackers does not sound like a good proposal. Bookmarks are also something different (ways to access something in a faster way). If at all, "Favorites" comes closest.

Peachey88 added a comment.Via ConduitMay 2 2012, 8:54 PM

(In reply to comment #14)

Watching a bug means to receive its bugmail. It requires adding an email
address to the CC list.

It doesn't require receiving bug mail, You can easily turn that off in your preferences, as has been pointed out in this bug a couple of times.

Aklapper added a comment.Via ConduitMay 2 2012, 8:56 PM

Then change my argumentation to "Watching a bug means to receive its bugmail, if you have bugmail enabled." Problems remain exactly the same though. :)

He7d3r added a comment.Via ConduitMay 13 2012, 4:13 PM

From
http://quominus.org/archives/714#comment-669

With regard to “me too!” and “+1″ comments: Voting is not visible enough
in Bugzilla, plus launchpad.net has a nice “This bug affects me too”
checkbox option which would eliminate such comments.

Aklapper added a comment.Via ConduitOct 11 2012, 11:02 AM

(In reply to comment #4)

it could possibly be pushed upstream (if they have a extension repository).

They have. :)

(In reply to comment #5)

i am absolutely certain that this is a feature that can just be disabled

Yes you can disable voting in Bugzilla, per product or globally.

(In reply to comment #13)

Just in case someone completely removes the feature instead of renaming it,
would it be possible to provide people a backup of the list of bugs they voted

Not easily.

(In reply to comment #17)

From
http://quominus.org/archives/714#comment-669
> With regard to “me too!” and “+1″ comments: Voting is not visible enough
> in Bugzilla, plus launchpad.net has a nice “This bug affects me too”
> checkbox option which would eliminate such comments.

I wrote that comment. This problem should be fixed in upstream first.
It's more or less https://bugzilla.mozilla.org/show_bug.cgi?id=522458

So to come back to the original request:

(In reply to comment #0)

I'm opening this request to
make changes such as the following in the bugzilla interface:

  1. Vote --> Watch|BookMark

It's not really the same. If I CC myself on a report I am not necessarily interested in fixing it (in most cases it's a correct assumption though, I admit).

That's why I lean towards closing this ticket as WONTFIX.

Aklapper added a comment.Via ConduitNov 17 2012, 12:56 AM

I don't plan to work on this and I'm not convinced by the proposals, so I close this request as WONTFIX.
I agree that the Voting UI in Bugzilla is cumbersome (hard to find, UI how to add a vote and to see your list of votes not intuitive) but I don't think that cosmetic string changes will improve the underlying, more complicated issues.

Markhurd added a comment.Via ConduitNov 18 2012, 1:44 PM

Well at least add a "These are not votes in any normal sense." comment at the top of the "My votes" page. Perhaps just highlighting the "Help with voting" (by placing it at the top of the page) would do.

Aklapper added a comment.Via ConduitNov 18 2012, 10:49 PM

(In reply to comment #20)

Well at least add a "These are not votes in any normal sense." comment at the
top of the "My votes" page.

Could you elaborate what "in any normal sense" means to you ("normal" is rather subjective and I'm afraid people have different definitions)?

Markhurd added a comment.Via ConduitNov 19 2012, 12:45 AM

Yeah, that was a little too terse: perhaps "not treated as votes towards the likelihood of this bug being fixed."

As I understand it, for our implementation of this system at least, as Chad H (comment 12) said above, "I think some of it comes back to people thinking the votes mean something when they don't".

(And my preferred option still is to change their name to "favo(u)rites".)

He7d3r added a comment.Via ConduitJul 31 2013, 6:19 PM
He7d3r added a comment.Via ConduitFeb 11 2014, 1:36 PM

Wikitech archive links are broken again... :-(

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.